Subject: Data connection timed out/refused

From: [email-masked]
Date: Wed, 29 Apr 1998 18:47:34 -0400 (EDT)

Would anyone be able to shed some light on the error from wuftp of

Can not build data connection Connection refused.
or
Can not build data connection Connection timed out.

thanks in advance
Doug

This is only happening to a few users.
The description of the user side of things follows

When I use a "DOS session FTP" I get :
"425 Can't build data connection: Connection timed out."
After I do a  dir[ENTER]
=20
When I use WS_FTP LE ver4.xxx I get:
WINSOCK.DLL: Microsoft Windows Sockets Version 1.1.
WS_FTP95 LE 4.50 97.05.17, Copyright =A9 1992-1997 Ipswitch, Inc.
local chdir to C:\Program Files\WS_FTP
- -
connecting to  ...
Connected to .... port 21
220-
220-You are accessing it from host
110.anchorage-01.ak.....
220-
220-
ready.
USER soandso
331 Password required for soandso
PASS (hidden)
230 User  logged in.  Access restrictions
apply.
PWD
257 "/soandso" is current directory.
Host type (I): UNIX (standard)
PORT 12,12,192,110,4,157
200 PORT command successful.
LIST
! Receive error: Blocking call cancelled
=20
! DoDirList failed 0
=20
=20
=20
When I use CuteFTP Ver 2.0 I get:
STATUS:> Connecting ...
STATUS:> Connecting ...
STATUS:> Socket connected. Waiting for welcome message...
220-
220-Welcome
220-You are accessing it from host
151.anchorage-01.ak....
220-
220-
ready.
STATUS:> Connected. Authenticating...
COMMAND:> USER soandso
331 Password required for soandso
COMMAND:> PASS ********
230 User soandso logged in.  Access restrictions
apply.
STATUS:> Login successful
COMMAND:> TYPE I
200 Type set to I.
COMMAND:> REST 100
350 Restarting at 100. Send STORE or RETRIEVE to initiate transfer.
STATUS:> This site can resume broken downloads
COMMAND:> REST 0
350 Restarting at 0. Send STORE or RETRIEVE to initiate transfer.
COMMAND:> pwd
257 "/soandso" is current directory.
COMMAND:> TYPE A
200 Type set to A.
STATUS:> Retrieving directory listing...
COMMAND:> PORT 12,12,192,151,4,14
200 PORT command successful.
COMMAND:> LIST
425 Can't build data connection: Connection timed out.
ERROR:> Can't initiate data transfer
=20
=20

-- 
Doug Courtney
[email-masked]
(732)576-5572